Subject: Re: [WIP/PATCH v3] gitweb: add test suite with Test::WWW::Mechanize::CGI

From: Lea Wiemann <[email-masked]>
Date: Sat, 21 Jun 2008 00:04:57 +0200

Jakub Narebski wrote:
> Lea Wiemann wrote:
>> Sure; FWIW I'm generally in favor of having a large initial commit for 
>> new independent files [...]
> 
> I just think that having this separate could help bisectability in
> the case of errors.

Hm...  I wouldn't think that bisect could be necessary for a long linear 
(sequential) test script, where the errors are clearly locatable.

> What could be added is different types of stage output: filenames with
> '*', '+', '=', ':', '?', whitespace, etc.  Checking if submodules
> doesn't trip gitweb would be good idea too.

Yup, filenames with ampersands and semicolons would be fun, too. 
(Submodules seem to work, but that should be covered as well of course.)

> [Full SHA1s] would reduce number of operations when crawling gitweb output.

Right; changed.

> Actually ->cgi_application(<path>) is implemented using ->cgi(<sub>)
> in TWM::CGI.  The bug is that it uses straight "system($application)",
> 
> [it] would fail if you run test from the directory which contains spaces,

OK, now I see what you mean.  Well, awesome, borked lirbareis.  I've put 
this as a TODO into the commit message; will take care of it later.

>>>> +our $baseurl = "http://localhost";
>>>> +our($params, $url, $pagedesc, $status);
>>> I think we can use 'my' here;

Fixed, and thanks for the offline explanations.

-- Lea